# Mirror in a Can

## What is this?
This is a package meant to allow one to summon a package mirror for any supported
Linux distro, on command, without having to think about the implementation needs
like what software to use and how to configure it. Mirrors are minimally configurable
but otherwise try to assume sane and rational defaults for all settings.

## Why would I want this?
Having your own local package mirror is handy if you have a lot of sub-machines on
your workspace (virtual machines, Docker containers, etc) that need to pull packages
and updates. Having the packages be local to your host (or to another host on your
network, as appropriate) also helps with the following:

 * Prevents you from getting banned from upstream package mirrors by the automatic
   scripts. These bans are temporary, but annoying by design, and these files help
   set up the correct response.
 * Runs the update packages step of your Docker image builds, Vagrant environments,
   and everything else locally, which makes your disk speed the bottleneck instead
   of your network speed (usually this is faster, especially in parallel)
 * Can be left running long term as part of your infrastructure or started/stopped
   as needed, depending on what works best for you.